import 'package:rasadyar_core/core.dart';

part 'user_info_model.freezed.dart';

part 'user_info_model.g.dart';

@freezed
abstract class UserInfoModel with _$UserInfoModel {
  const factory UserInfoModel({
    bool? isUser,
    String? address,
    String? backend,
    String? apiKey,
  }) = _UserInfoModel ;

  factory UserInfoModel.fromJson(Map<String, dynamic> json) =>
      _$UserInfoModelFromJson(json);
}